// IBK Library - Collection of classes, functions and algorithms
//               for development of numeric simulations
// 
// Copyright (C) 2003 Andreas Nicolai, Andreas.Nicolai@gmx.net
// 
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
// 
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.


// Configuration header files for IBK library
//
// If you don't use the CMake build system, copy this file over to
// IBK_configuration.h and manually define all options you want to have 
// enabled.
//
// This file should be included into every header and source file of the 
// IBK lib where compilation options are used.
//

// Enables/Disables range checking in all subscripts operators, [] and () 
// operators of IBK classes.
//#cmakedefine IBK_ENABLE_RANGE_CHECKING

// Enables/Disables function argument checking for all math functions.
//#cmakedefine IBK_ENABLE_SAFE_MATH

// Enables/Disables compilation of debugging macros defined in IBK_debug.h
//#cmakedefine IBK_ENABLE_DEBUG_MACROS

// Enables/Disables colored text in the console window.
//#cmakedefine IBK_ENABLE_COLORED_CONSOLE
