// IBK Library - Collection of classes, functions and algorithms
//               for development of numeric simulations
//
// Copyright (C) 2004 Andreas Nicolai, Andreas.Nicolai@gmx.net
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

#include "IBK_configuration.h"

#ifdef __BORLANDC__
  #include "IBK_prehead.h"
  #pragma hdrstop
#else
#endif

#include "IBK_exception.h"

namespace IBK {

IBK_exception::~IBK_exception() throw() {
}

const char* IBK_exception::what()  const throw() {
	return what_.c_str();
	// uncomment the following to get an exception message including
    // the function name
/*
	static std::string msg_;
	if (where_.empty())  return what_.c_str();
	if (where_[0] == '[') {
    	msg_ = where_ + "  " + what_;
		return msg_.c_str();
    }
	else {
    	msg_ = '[' + where_ + "]  " + what_;
		return msg_.c_str();
    }
*/
};

const char* IBK_exception::where() const { 
	return where_.c_str(); 
};

} // namespace IBK


