// IBK Library - Collection of classes, functions and algorithms
//               for development of numeric simulations
//
// Copyright (C) 2004 Andreas Nicolai, Andreas.Nicolai@gmx.net
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

#ifndef IBK_exception_h
#define IBK_exception_h

#include <stdexcept>
#include <string>
#include "IBK_format.h"

namespace IBK {

class IBK_exception : public std::exception {
public:
	IBK_exception(const std::string& what, const std::string& where) : what_(what), where_(where) {}
	IBK_exception(const IBK::format_string& what, const std::string& where) : what_(what.str()), where_(where) {}
	virtual ~IBK_exception () throw();
    virtual const char* what() 	const throw();
    virtual const char* where() const;

private:
	std::string	what_;
	std::string	where_;
};

} // namespace IBK

#endif // IBK_exception_h
