// IBK Library - Collection of classes, functions and algorithms
//               for development of numeric simulations
// 
// Copyright (C) 2003 Andreas Nicolai, Andreas.Nicolai@gmx.net
// 
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
// 
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

#include "IBK_configuration.h"

#ifdef __BORLANDC__
  #include "IBK_prehead.h"
  #pragma hdrstop
#else
  #include <iostream>
  #include <sstream>
#endif
#include "IBK_format.h"
using namespace std;

namespace IBK {

std::string format_string::str() const { return m_data + m_format.substr(m_insertIndex, string::npos); };
std::string format_string::operator+(const std::string& s) const { return str() + s; };

std::string operator+(const std::string& lhs, const format_string& rhs) { return lhs + rhs.str(); };
std::ostream& operator<<(std::ostream& strm, const format_string& fstr) { return strm << fstr.str(); }

} // namespace IBK

