// IBK Library - Collection of classes, functions and algorithms
//               for development of numeric simulations
// 
// Copyright (C) 2003 Andreas Nicolai, Andreas.Nicolai@gmx.net
// 
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
// 
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

#include "IBK_configuration.h"

#ifdef __BORLANDC__
  #include "IBK_prehead.h"
  #pragma hdrstop
#endif

#include "IBK_message_strings.h"

namespace IBK {

// General messages
const char * const IBK_INDEX_OUT_OF_RANGE           = "Index % out of range [% .. %].";
const char * const IBK_X_MONOTONY_ERROR             = "X values are not strictly monotonic increasing.";
const char * const IBK_SIZE_MISMATCH                = "Size mismatch.";
const char * const IBK_DIVISOR_CONTAINS_ZERO        = "Divisor contains a zero! Would cause division by zero.";
const char * const IBK_DIV_BY_ZERO                  = "Division by zero.";
const char * const IBK_VECTOR_IS_EMPTY              = "Vector is empty.";
const char * const IBK_VECTOR_SIZE_3_REQUIRED       = "Vectors must be of size 3.";
const char * const IBK_MATRIX_INDEX_OUT_OF_RANGE    = "Matrix index [%,%] out of range! Matrix dimensions are [%,%].";
const char * const IBK_POINTER_EXISTS_IN_LIST       = "Pointer already exists in the list.";
const char * const IBK_FILE_OPEN_ERROR              = "Cannot open file '%'.";
const char * const IBK_FILE_READ_ERROR              = "Cannot read data from file '%'.";
const char * const IBK_COLUMN_NUMBER_MISMATCH       = "Column number mismatch.";
const char * const IBK_KEYWORD_LINE_READ_ERROR      = "Error reading keyword line '%'.";
const char * const IBK_NO_SUCH_CATEGORY             = "Category '%' does not exist.";
const char * const IBK_KEYWORD_NOT_FOUND            = "Keyword '%' not found in category '%'.";
const char * const IBK_INVALID_KEYWORD_INDEX        = "Keyword with index % is not available in category '%'.";
const char * const IBK_FILE_CREATE_ERROR            = "Couldn't create file '%'.";
const char * const IBK_UNITLIST_NOT_INITIALISED     = "Unitlist not initialised.";
const char * const IBK_PARAM_FROM_STRING_READ_ERROR = "Error reading parameter from string '%'.";
const char * const IBK_PARAMETER_READ_ERROR         = "Error reading parameter.";
const char * const IBK_INVALID_VECTOR_DIMENSIONS    = "Invalid vector dimensions.";
const char * const IBK_FLAG_READ_ERROR              = "Error reading flag!";
const char * const IBK_FLAG_INVALID_VALUE           = "Invalid value for flag '%'!";

} // namespace IBK
