// IBK Library - Collection of classes, functions and algorithms
//               for development of numeric simulations
// 
// Copyright (C) 2003 Andreas Nicolai, Andreas.Nicolai@gmx.net
// 
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
// 
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

#ifndef IBK_notification_h
#define IBK_notification_h

namespace IBK {

/// This is an abstract base class for notification objects.
/// It can be used to allow call backs from a library function to another
/// library without the need of making one library dependend on the other.
class NotificationHandler {
  public:
    /// Virtual destructor.
    virtual ~NotificationHandler() {};
    /// Reimplement this function in derived child 'notification' objects
    /// to provide whatever notification operation you want to perform.
    virtual void notify() = 0; 
};

} // namespace IBK

#endif // IBK_notification_h
